Skip to content

List Campaigns

GET /api/cc/campaigns

Your campaigns, newest first, 50 per page.

Requires a Bearer API token (from Authentication / dashboard API Tokens) and the call-center permission.

Rate limit: 60 requests per minute per account, shared by all Campaign API endpoints.

Parameter Type Required Description
status string No draft, running, paused, stopped or completed.
page integer No Page number, default 1.
Terminal window
curl -X GET https://api.awajdigital.com/api/cc/campaigns?status=running&page=1 \
-H "Authorization: Bearer your_api_token_here" \
-H "Accept: application/json"
{
"meta": {
"total": 1,
"per_page": 50,
"current_page": 1,
"last_page": 1
},
"data": [
{
"id": 42,
"name": "October renewals",
"status": "running",
"group_id": 7,
"group_name": "Sales",
"contact_count": 2,
"customer_ring_seconds": 30,
"max_customer_wait_seconds": 20,
"started_at": "2026-10-21T10:05:00.000+06:00",
"stopped_at": null,
"created_at": "2026-10-21T10:00:00.000+06:00"
}
]
}

Each item in data has the fields described in Create Campaign.

Status Code Description
401 — Missing or invalid access token
403 — Account does not have the call-center permission
422 — Invalid status or page
429 — Rate limit exceeded (60 requests/minute)